<?php

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
header("Access-Control-Allow-Headers: Content-Type, Authorization");

$documentRoot = realpath(__DIR__ . '/../..');
$uploadDirectory = $documentRoot . "/assets/cstpdf/";

// Ruta al directorio donde deseas guardar los archivos subidos
//$uploadDirectory = '/var/www/vhosts/cst.cat/subdomains/pefir/httpdocs/assets/cstpdf/';

// Verifica si se ha enviado un archivo
if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_FILES['file'])) {
    $file = $_FILES['file'];
    $uploadPath = $uploadDirectory . basename($file['name']);

    // Verificar si el archivo se ha subido sin errores
    if ($file['error'] == UPLOAD_ERR_OK) {
        // Mover el archivo a la ubicación deseada
        if (move_uploaded_file($file['tmp_name'], $uploadPath)) {
            echo "El archivo ". htmlspecialchars(basename($file['name'])) ." ha sido subido exitosamente.";
        } else {
            echo "Error al mover el archivo subido.";
        }
    } else {
        echo "Error al subir el archivo: " . $file['error'];
    }
} else {
    echo "No se ha subido ningún archivo.";
}
?>
